declare @uid as varchar(500)
declare @reporte as  varchar(500)
declare @reportecodigo as varchar(500)
declare @guifuncionalidad as varchar(500)
declare @detallescontrato as varchar(500)
declare @reportecategoria as varchar(500)
declare @categoria as varchar(500)
declare @origendato as varchar(500)
declare @opcionreporte as varchar(500)
declare @idreporte as varchar(500)
set @uid =(select uid from seg_usuario where id=1)
set @reporte= 'Lista de Contratos'
set @reportecodigo ='cnt/DetalleContratos'
set @detallescontrato='rep_detallesContrato'
set @reportecategoria='cnt_contrato'
set @origendato ='rep_detallesContrato'
set @opcionreporte='Lista de Contratos'
set @categoria=(SELECT id  FROM [rep_categoria]where  id=(SELECT id_categoria FROM [rep_reporte_categoria]where id_reporte=(select id from rep_reporte where reporte_codigo='cnt/DetalleVisitas')))
if exists (SELECT id FROM [gui_funcionalidad]where id_tipoFuncionalidad=7 and nombreComando='r' and id_funcionalidad=1)set @guifuncionalidad=(SELECT id FROM [gui_funcionalidad]where id_tipoFuncionalidad=7 and nombreComando='r' and id_funcionalidad=1) else set @guifuncionalidad=(SELECT id FROM [gui_funcionalidad]where  id=1 )

if not exists (select * from [rep_reporte] where uid=@uid  and reporte=@reporte and  reporte_codigo=@reportecodigo and id_funcionalidad=@guifuncionalidad )
begin
insert into rep_reporte (uid, eid, reporte, reporte_codigo,id_funcionalidad, esformato, tienegraficos) 
values (@uid,'01',@reporte,@reportecodigo,@guifuncionalidad,0,0)
end 
set @idreporte=(select id from [rep_reporte] where uid=@uid  and reporte=@reporte and  reporte_codigo=@reportecodigo and id_funcionalidad=@guifuncionalidad )

if not exists(select * from rep_reporte_categoria where  uid=@uid  and reporte_categoria=@reportecategoria and id_reporte=@idreporte and id_categoria=@categoria)
begin 
insert into rep_reporte_categoria (uid,eid,reporte_categoria,id_reporte,id_categoria) 
values (@uid,'01',@reportecategoria ,@idreporte,@categoria)
end

if not exists(select*from rep_origenDato where origenDato=@origendato)
begin 
insert into rep_origenDato (uid,eid,id_usuario_modifico,id_usuario_creo,fechaModificacion,fechaCreacion,active,origenDato,origenDato_codigo,id_reporte)
 Values (@uid,'01',0,0,getdate(),getDate(),1,'rep_detallesContrato','',@idreporte)
end


if not exists(select *from rep_opcionReporte where opcionreporte=@opcionreporte )
begin 
insert into rep_opcionReporte(uid,eid,opcionreporte,opcionreporte_codigo,id_reporte,defecto)
 values (@uid,'01',@opcionreporte,'LC',@idreporte,1)
end


if not exists(select * from rep_campoReporte where uid=@uid  and campoReporte='fechaInicio_ff' and id_reporte=@idreporte and id_tipoCampoReporte=3 and tabla='cnt_contrato' )
begin
insert into rep_campoReporte (uid,eid,campoReporte,id_reporte,id_tipoCampoReporte,tabla,valorDefecto,esParametro,esSerie,campoReporte_codigo,parametroTotal) 
Values (@uid,'01','fechaInicio_ff',@idreporte,3,'cnt_contrato','',1,0,'',1)
end

if not exists(select * from rep_campoReporte where uid=@uid  and campoReporte='tipoContrato' and id_reporte=@idreporte and id_tipoCampoReporte=4 and tabla='cnt_tipoContrato')
begin
insert into rep_campoReporte (uid,eid,campoReporte,id_reporte,id_tipoCampoReporte,tabla,valorDefecto,esParametro,esSerie,campoReporte_codigo,parametroTotal) 
Values (@uid,'01','tipoContrato',@idreporte,4,'cnt_tipoContrato','',1,0,'',1)
end

if not exists(select * from rep_campoReporte where uid=@uid  and campoReporte='tercero' and id_reporte=@idreporte and id_tipoCampoReporte=4 and tabla='ter_tercero')
begin
insert into rep_campoReporte (uid,eid,campoReporte,id_reporte,id_tipoCampoReporte,tabla,valorDefecto,esParametro,esSerie,campoReporte_codigo,parametroTotal) 
Values (@uid,'01','tercero',@idreporte,4,'ter_tercero','',1,0,'',1)
end
